Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcOSIndependent.c File Reference

`#include "dkcOSIndependent.h"`
`#include "dkcDefined.h"`
`#include <assert.h>`
`#include <math.h>`

Include dependency graph for dkcOSIndependent.c:

## Functions
int WINAPI | dkcIsNativePathString (const char *s, size_t size)
| FALSEならNativeなファイルパスではない。.
int WINAPI | dkcErrorMessage (const char *expression, const char *filename, size_t line, const char *message,...)
void * | dkcAllocate (size_t size)
int | dkcFree (void **p)
BOOL | dkcIs_foepn_mode (const char *s)
| fopenの時の第二引数が有効な値かどうか調べる。
size_t | dkcReallocateSizeFunction (size_t OldSize, size_t ExpandSize)
int WINAPI | dkcReallocate (void **NewPtr, size_t NewSize, void **OldPtr)
int WINAPI | dkcReallocateEx (DKC_REALLOC_F_TYPE your_realloc, void **NewPtr, size_t NewSize, void **OldPtr)
| edk_SUCCEEDEDだったら成功
int WINAPI | dkcReallocateAutoExpand (DKC_REALLOC_F_TYPE your_realloc, void **NewPtr, void **OldPtr, size_t OldSize, size_t *reallocated_size)
DKC_EXTERN FILE *WINAPI | dkcFOpen (const char *filename, const char *mode)
| fopenのラッパー
DKC_EXTERN int WINAPI | dkcFClose (FILE **ptr)
| fcloseのラッパー
int WINAPI | dkcSaveBinary (const void *data, size_t size, const char *fname)
| fopenのファイル関数を使ってバイナリセーブを行う。
BOOL WINAPI | dkcCreateEmptyFile (const char *filename)
| 空ファイルを作る。
int WINAPI | dkcLoadBinary (void *data, size_t size, const char *fname, size_t *readsize)
| バイナリデータをメモリに読み込む。dkcSaveBinary()と対
int WINAPI | dkcSaveText (const char *text, size_t length, const char *fname)
| fopenでテキストセーブを行う
int WINAPI | dkcLoadText (char *text, size_t length, const char *fname, size_t *readsize)
| テキストデータをメモリに読み込む。dkcSaveText()と対
void WINAPI | dkcSwapFast (void *p1, void *p2, size_t size)
void WINAPI | dkcSwap64 (ULONGLONG *p1, ULONGLONG *p2, size_t size)
void WINAPI | dkcSwap (void *p1, void *p2, size_t size)
const char * | dkcGetPathSep ()
| path separatorの入った文字列(1byte毎にpath separatorの文字定数が入っている)をゲット

## Detailed Description

d金魚 @

## Function Documentation

void* dkcAllocate | ( | size_t | size | ) |

BOOL WINAPI dkcCreateEmptyFile | ( | const char * | filename | ) |

| 空ファイルを作る。

int WINAPI dkcErrorMessage | ( | const char * | expression,
|  | const char * | filename,
|  | size_t | line,
|  | const char * | message,
|  | ... |
| ) |

| Returns: almost TRUE(1)

DKC_EXTERN int WINAPI dkcFClose | ( | FILE ** | ptr | ) |

| fcloseのラッパー

DKC_EXTERN FILE* WINAPI dkcFOpen | ( | const char * | filename,
|  | const char * | mode
| ) |

| fopenのラッパー

int dkcFree | ( | void ** | p | ) |

const char* dkcGetPathSep | ( |  | ) |

| path separatorの入った文字列(1byte毎にpath separatorの文字定数が入っている)をゲット

BOOL dkcIs_foepn_mode | ( | const char * | s | ) |

| fopenの時の第二引数が有効な値かどうか調べる。

int WINAPI dkcIsNativePathString | ( | const char * | s,
|  | size_t | size
| ) |

| FALSEならNativeなファイルパスではない。.

int WINAPI dkcLoadBinary | ( | void * | data,
|  | size_t | size,
|  | const char * | fname,
|  | size_t * | readsize
| ) |

| バイナリデータをメモリに読み込む。dkcSaveBinary()と対

int WINAPI dkcLoadText | ( | char * | text,
|  | size_t | length,
|  | const char * | fname,
|  | size_t * | readsize
| ) |

| テキストデータをメモリに読み込む。dkcSaveText()と対

int WINAPI dkcReallocate | ( | void ** | NewPtr,
|  | size_t | NewSize,
|  | void ** | OldPtr
| ) |

int WINAPI dkcReallocateAutoExpand | ( | DKC_REALLOC_F_TYPE | your_realloc,
|  | void ** | NewPtr,
|  | void ** | OldPtr,
|  | size_t | OldSize,
|  | size_t * | reallocated_size
| ) |

  | Parameters:
  your_realloc[in] | reallocする関数
  NewPtr[out] | 新しいメモリ空間アドレス
  OldPtr[in][out] | 古いメモリ空間アドレス。関数が成功すると、OldPtrは無効になる
  OldSize[in] | OldPtrのサイズ
  reallocated_size[out] | 確保したサイズ
Note: メモリサイズ拡張専用

int WINAPI dkcReallocateEx | ( | DKC_REALLOC_F_TYPE | your_realloc,
|  | void ** | NewPtr,
|  | size_t | NewSize,
|  | void ** | OldPtr
| ) |

  | edk_SUCCEEDEDだったら成功 Parameters:
  your_realloc[in] | reallocする関数
  NewPtr[out] | 新しいメモリ空間アドレス
  NewSize[in] | 新しいメモリ空間アドレスのサイズ。
  OldPtr[in][out] | 古いメモリ空間アドレス。関数が成功すると、OldPtrは無効になる
  OldSize[in] | OldPtrのサイズ

size_t dkcReallocateSizeFunction | ( | size_t | OldSize,
|  | size_t | ExpandSize
| ) |

int WINAPI dkcSaveBinary | ( | const void * | data,
|  | size_t | size,
|  | const char * | fname
| ) |

| fopenのファイル関数を使ってバイナリセーブを行う。

int WINAPI dkcSaveText | ( | const char * | text,
|  | size_t | length,
|  | const char * | fname
| ) |

| fopenでテキストセーブを行う

void WINAPI dkcSwap | ( | void * | p1,
|  | void * | p2,
|  | size_t | size
| ) |

| 演算でSwapさせる。SWAP_NUM()マクロを参照。

void WINAPI dkcSwap64 | ( | ULONGLONG * | p1,
|  | ULONGLONG * | p2,
|  | size_t | size
| ) |

  | Parameters:
  p1[in] | ULONGLONG *のバッファへのポインタ
  p2[in] | ULONGLONG *のバッファへのポインタ
  size[in] | p1,p2バッファのサイズ
Note: p1,p2共にULONGLONG *に強制型キャストしてください。

void WINAPI dkcSwapFast | ( | void * | p1,
|  | void * | p2,
|  | size_t | size
| ) |

| どんな方法でもいいからともかく速くSwapさせる。 Note: size分のメモリを動的確保してスワップします。